Skip to main content
GET
Get filtered working hours

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Query Parameters

name
string

Optional. Working hours that contain a name case-insensitive.

enabled
boolean

Optional. Working hours enable/disable toggle.

isDefault
boolean

Optional. Default working hours.

createdAfter
string<date-time>

Optional. Filter results created after specific date and time. Format: yyyy-MM-dd'T'HH:mm:ss.SSSZ

createdBefore
string<date-time>

Optional. Filter results created before specific date and time. Format: yyyy-MM-dd'T'HH:mm:ss.SSSZ

updatedAfter
string<date-time>

Optional. Filter results updated after specific date and time. Format: yyyy-MM-dd'T'HH:mm:ss.SSSZ

updatedBefore
string<date-time>

Optional. Filter results updated before specific date and time. Format: yyyy-MM-dd'T'HH:mm:ss.SSSZ

limit
integer<int64>
default:10

Size of the result page.

Required range: x <= 999
page
integer<int64>
default:0

Number of the current page.

orderBy
string

This parameter is used to order your results. If an order is not given, the default order id:asc will be applied. Possible ordering fields are properties. Ordering direction can be specified with modifiers asc for the ascending ordering or desc for the descending one.

Response

OK

workingHours
WorkingHoursApiResponse · object[]
pagination
Pagination · object